
QGIS Application - Bug report #15895

GDAL proximity fails on master

2016-11-25 05:12 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23813

Description

2016-11-25T14:12:29    1    Traceback (most recent call last):

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/gui/ProcessingToolbox.py", line 257, in

executeAlgorithm

                dlg = alg.getCustomParametersDialog()

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 54, in

getCustomParametersDialog

                return GdalAlgorithmDialog(self)

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/algs/gdal/GdalAlgorithmDialog.py", line 40, in

__init__

                AlgorithmDialogBase.__init__(self, alg)

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/gui/AlgorithmDialogBase.py", line 72, in

__init__

                algHelp = self.alg.shortHelp()

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 78, in

shortHelp

                ''' % (self.commandName(), self.commandName()))

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 86, in

commandName

                name = alg.getConsoleCommands()[0]

              File "/usr/local/src/qgis/QGIS/build-qgis3/output/python/plugins/processing/algs/gdal/proximity.py", line 107, in

getConsoleCommands

                if values < 0:

            TypeError: unorderable types: str() < int()

Associated revisions

Revision d849e432 - 2016-12-02 10:38 AM - Victor Olaya

[processing] fixed gdal proximity

Fixes #15895

History

#1 - 2016-11-25 05:16 AM - Paolo Cavallini

After the error the GDAL submenu in Processing disappears. Unsure whether this is related to the error above.
#2 - 2016-12-02 01:38 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"d849e43278c24125d5c5b60fb30bc15edf5c5aa9".
